import React from 'react';
import { InputNumber } from 'antd';
import styles from './styles.less';
import { ApolloNumberProps } from '../editInterface';
import { antiAssign } from '../../../../utils/utils';

export const ApolloNumber = (props: ApolloNumberProps) => {
    const { onChange, columnConfig }: any = props;
    const { columnAttrObj = {} } = columnConfig;
    const selfProps = antiAssign(props, ['columnConfig', 'onChange']);
    const changeValue = (value) => {
        if (typeof onChange === 'function') {
            onChange(value);
        }
    };
    const precision = selfProps.precision || columnAttrObj.precision || 0;
    const { onEmitChange, ...o } = selfProps;
    return <InputNumber className={styles.number} {...o} precision={precision} onChange={changeValue} />;
};
